classification
Title: [patch] added missing documentation about escaping characters for configparser
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.8, Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Arun.Persaud, berker.peksag, cheryl.sabella, docs@python, lukasz.langa, mdk
Priority: normal Keywords: patch

Created on 2014-03-22 05:00 by Arun.Persaud, last changed 2019-09-10 13:32 by mdk. This issue is now closed.

Files
File name Uploaded Description Edit
mywork.patch Arun.Persaud, 2014-03-22 05:00 review
escape.patch Arun.Persaud, 2016-09-12 18:38
Pull Requests
URL Status Linked Edit
PR 6137 merged python-dev, 2018-03-17 21:34
PR 15845 merged miss-islington, 2019-09-10 12:51
PR 15846 merged miss-islington, 2019-09-10 12:52
Messages (11)
msg214442 - (view) Author: Arun Persaud (Arun.Persaud) * Date: 2014-03-22 05:00
Couldn't find how to escape % and $ in the documentation, so I thought I add a short patch.
msg237703 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2015-03-09 20:45
LGTM so can we have a formal patch review please, thanks.
msg272281 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2016-08-09 23:49
Thanks for the patch. Two things:

* We want to keep docstrings short so could you please revert the changes in Lib/configparser.py?

* It would be better to just add an example of escaping these characters in the "Interpolation of values" section (preferably with a short comment.)
msg276087 - (view) Author: Arun Persaud (Arun.Persaud) * Date: 2016-09-12 18:38
updated the patch, let me know if it needs additional changes.
msg313708 - (view) Author: Cheryl Sabella (cheryl.sabella) * (Python committer) Date: 2018-03-12 22:34
@Arun.Persaud, would you be interested in converting your patch to a Github pull request?
msg313955 - (view) Author: Arun Persaud (Arun.Persaud) * Date: 2018-03-16 16:42
> @Arun.Persaud, would you be interested in converting your patch to a Github pull request?

sure, I'll give it a try.

Arun
msg314016 - (view) Author: Arun Persaud (Arun.Persaud) * Date: 2018-03-17 21:36
created github PR #6137. Hope everything is in the correct format.

Arun
msg351631 - (view) Author: Julien Palard (mdk) * (Python committer) Date: 2019-09-10 12:51
New changeset 9a94093189417adddd6b59d6c80cc5544630c8aa by Julien Palard (Arun Persaud) in branch 'master':
bpo-21018: added missing documentation about escaping characters for configparser (GH-6137)
https://github.com/python/cpython/commit/9a94093189417adddd6b59d6c80cc5544630c8aa
msg351632 - (view) Author: Julien Palard (mdk) * (Python committer) Date: 2019-09-10 12:52
Thanks!
msg351652 - (view) Author: Julien Palard (mdk) * (Python committer) Date: 2019-09-10 13:32
New changeset 122bbf7f8ac2cef4368e3601af593a027dc62ccf by Julien Palard (Miss Islington (bot)) in branch '3.7':
bpo-21018: added missing documentation about escaping characters for configparser (GH-6137) (GH-15845)
https://github.com/python/cpython/commit/122bbf7f8ac2cef4368e3601af593a027dc62ccf
msg351654 - (view) Author: Julien Palard (mdk) * (Python committer) Date: 2019-09-10 13:32
New changeset 5cf8155bbd2c65572295b26e96c221763b3322f0 by Julien Palard (Miss Islington (bot)) in branch '3.8':
bpo-21018: added missing documentation about escaping characters for configparser (GH-6137) (GH-15846)
https://github.com/python/cpython/commit/5cf8155bbd2c65572295b26e96c221763b3322f0
History
Date User Action Args
2019-09-10 13:32:59mdksetmessages: + msg351654
2019-09-10 13:32:46mdksetmessages: + msg351652
2019-09-10 12:52:34mdksetstatus: open -> closed
nosy: docs@python, lukasz.langa, berker.peksag, Arun.Persaud, mdk, cheryl.sabella
messages: + msg351632

resolution: fixed
stage: patch review -> resolved
2019-09-10 12:52:01miss-islingtonsetpull_requests: + pull_request15492
2019-09-10 12:51:20miss-islingtonsetpull_requests: + pull_request15491
2019-09-10 12:51:12mdksetnosy: + mdk
messages: + msg351631
2019-02-16 00:19:38cheryl.sabellasetversions: - Python 3.6
2018-03-17 21:36:07Arun.Persaudsetmessages: + msg314016
2018-03-17 21:34:41python-devsetpull_requests: + pull_request5894
2018-03-16 16:42:58Arun.Persaudsetmessages: + msg313955
2018-03-12 22:34:02cheryl.sabellasetnosy: + cheryl.sabella

messages: + msg313708
versions: + Python 3.7, Python 3.8, - Python 3.5
2016-09-12 18:38:07Arun.Persaudsetfiles: + escape.patch

messages: + msg276087
2016-08-11 15:15:50BreamoreBoysetnosy: - BreamoreBoy
2016-08-09 23:49:20berker.peksagsetversions: + Python 3.6
nosy: + berker.peksag

messages: + msg272281

stage: patch review
2015-03-09 20:45:45BreamoreBoysetnosy: + BreamoreBoy

messages: + msg237703
versions: + Python 3.5
2014-03-22 05:36:02r.david.murraysetnosy: + lukasz.langa
2014-03-22 05:00:20Arun.Persaudcreate